org.apache.ode.bpel.o

## Class OCatch

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OAgent
    - - org.apache.ode.bpel.o.OActivity
      - - org.apache.ode.bpel.o.OScope
        - - org.apache.ode.bpel.o.OCatch

- All Implemented Interfaces:
    java.io.Serializable

      public final class OCatch
      extends OScope

  The catch pseudo-activity.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.o.OScope

      `OScope.CorrelationSet, OScope.Variable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `javax.xml.namespace.QName` | `faultName`
    `OScope.Variable` | `faultVariable`

    - ### Fields inherited from class org.apache.ode.bpel.o.OScope

      `activity, atomicScope, compensatable, compensationHandler, correlationSets, eventHandler, faultHandler, implicitScope, name, partnerLinks, terminationHandler, variables`

    - ### Fields inherited from class org.apache.ode.bpel.o.OActivity

      `failureHandling, joinCondition, sourceLinks, suppressJoinFailure, targetLinks`

    - ### Fields inherited from class org.apache.ode.bpel.o.OAgent

      `incomingLinks, nested, outgoingLinks, variableRd, variableWr`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OCatch(OProcess owner, OActivity parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.ode.bpel.o.OScope

      `addCorrelationSet, addLocalVariable, dehydrate, getCorrelationSet, getLocalPartnerLink, getLocalVariable, getVisiblePartnerLink, getVisibleVariable, isInAtomicScope`

    - ### Methods inherited from class org.apache.ode.bpel.o.OActivity

      `digest, getFailureHandling, getParent, getType, setFailureHandling`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `equals, getId, getOwner, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### faultName

          public javax.xml.namespace.QName faultName

    - #### faultVariable

          public OScope.Variable faultVariable

  - ### Constructor Detail

    - #### OCatch

          public OCatch(OProcess owner,
                OActivity parent)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `OScope`